Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### textMode()

Examples

    PFont metaBold;
    // The font "Meta-Bold.vlw.gz" must be located in the
    // current sketch's "data" directory to load successfully
    metaBold = loadFont("Meta-Bold.vlw.gz");
    String lines = "screen";
    textFont(metaBold);
    textMode(SCREEN);
    text(lines, 3, 70);

Description

Sets the way text draws to the screen. In the default configuration, it's possible to rotate, scale, and place letters in three dimensional space. Changing to SCREEN mode draws letters directly to the front of the windows and increases the rendering quality of the letters. The letters draw at the actual size of the font (in pixels) and therefore calls to textSize() will not affect the size of the letters. To create a font at the size you desire, use the "Create font..." option in the Tools menu.

Syntax

    textMode(MODE)

Parameters

MODE | either MODEL or SCREEN

Usage | Web & Application
Related | loadFont() PFont text() textFont()

Updated on December 20, 2005 02:03:00pm PST